Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
PUTSNS OperationsSince 5.0.0SynchronousAuth Required
UpdateSNSHttpEndpoint
UpdateSNSHttpEndpoint
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource uuid.
Body Fields
updatesnshttpendpointObjectRequiredupdatesnshttpendpoint request body object.
urlStringOptional. The webhook url.
usernameBooleanOptional. The username.
passwordStringOptional. The password.
nameStringOptional. The resource name.
descriptionStringOptional. The detailed descrption of resource.
systemTagsListOptional. The system tag.
userTagsListOptional. The user tag.
Responses
Endpoint
PUT/zstack/v1/sns/application-endpoints/http/{uuid}/actions
/zstack/v1/sns/application-endpoints/http/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/sns/application-endpoints/http/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatesnshttpendpoint":{"url":"<url>","username":true,"password":"<password>","name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "name": "example", "uuid": "917fe66f76b241f0843dfbd6be685fc1", "description": "description example", "type": "Email", "state": "Enabled", "platformUuid": "4eb0ceebf95b452585ebeacd647d9f35", "createDate": "Dec 25, 2023 2:08:22 PM", "lastOpDate": "Dec 25, 2023 2:08:22 PM" } }Change History
This API has no change history records yet.
